Name:           bonnie
Url:            http://www.garloff.de/kurt/linux/bonnie/
License:        GPL v2 or later
Group:          System/Benchmark
Summary:        File System Benchmark
Version:        1.4
Release:        1
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build-root
BuildRequires:  patch

%description
Bonnie is a popular performance benchmark that targets various aspects
of Unix file systems.

Authors:
--------
    Tim Bray <tbray@textuality.com>
    Kurt Garloff <garloff@suse.de>


%prep
%setup -q -n %{name}
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1


%build
CC="cc -qcpluscmt" make bsd


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp Bonnie ${RPM_BUILD_ROOT}%{_bindir}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc bonnie.doc README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Oct 05 2010 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.1 and higher
